> ## Documentation Index
> Fetch the complete documentation index at: https://docs.debridge.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Returns ids of orders, that were created in a transaction



## OpenAPI

````yaml /dln-details/swagger/monitoring.json get /api/Transaction/{orderCreationTransactionHash}/orderIds
openapi: 3.0.1
info:
  title: DLN stats API
  description: >-
    # Introduction

    This API is part of [deBridge](https://debridge.com/) protocol
    infrastructure. 


    Protocol documentation is available [here](https://docs.debridge.com/).


    [Terms and
    Condition](https://debridge.com/assets/files/debridge_terms_of_service.pdf)
    | [Privacy
    Policy](https://debridge.com/assets/files/debridge_privacy_policy.pdf)


    # Swagger

    Swagger document can be found [here](/swagger)


    Redoc document can be found [here](/redoc)
  version: v1
servers:
  - url: https://dln-api.debridge.finance
security: []
paths:
  /api/Transaction/{orderCreationTransactionHash}/orderIds:
    get:
      tags:
        - Transaction
      summary: Returns ids of orders, that were created in a transaction
      operationId: Transaction_GetOrdersFromTransaction
      parameters:
        - name: orderCreationTransactionHash
          in: path
          description: hash of a transaction the orders were created in
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrderIdsDTO'
              example:
                orderIds:
                  - bytesValue: AA4r8JSgZRie2pvbP0vsvMKR1Rz9uWFc2cC+A9msUVI=
                    bytesArrayValue: >-
                      [0,14,43,240,148,160,101,24,158,218,155,219,63,75,236,188,194,145,213,28,253,185,97,92,217,192,190,3,217,172,81,82]
                    stringValue: >-
                      0x000e2bf094a065189eda9bdb3f4becbcc291d51cfdb9615cd9c0be03d9ac5152
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InvalidInputDataResponse'
        '422':
          description: Unprocessable Content
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InternalServerErrorResponse'
components:
  schemas:
    OrderIdsDTO:
      type: object
      properties:
        orderIds:
          type: array
          items:
            oneOf:
              - $ref: '#/components/schemas/StringPropertyDTO'
              - $ref: '#/components/schemas/TransactionHashPropertyDto'
          nullable: true
      additionalProperties: false
    InvalidInputDataResponse:
      type: object
      properties:
        message:
          type: string
          description: Error message
          nullable: true
        errorCode:
          type: integer
          description: For this type of error it's always 400
          format: int32
      additionalProperties: false
      description: Information about bad input params
    ErrorResponse:
      type: object
      properties:
        message:
          type: string
          description: Error message
          nullable: true
        errorCode:
          type: integer
          description: >-
            Error code, if differs from response code (if !=422) indicates
            unique id of the error that can be used for error's handling
            automation on client side
          format: int32
      additionalProperties: false
      description: Information about error, occurred in the application
    InternalServerErrorResponse:
      type: object
      properties:
        message:
          type: string
          description: Error message
          nullable: true
        errorCode:
          type: integer
          description: For this type of error it's always 500
          format: int32
      additionalProperties: false
      description: Information about an internal server error
    StringPropertyDTO:
      type: object
      properties:
        bytesValue:
          type: string
          description: Binary representation of the property value
          format: byte
          nullable: true
        bytesArrayValue:
          type: string
          description: Bytes array representation of the value
          nullable: true
          readOnly: true
        stringValue:
          type: string
          description: String representation of the property value
          nullable: true
          readOnly: true
      additionalProperties: false
    TransactionHashPropertyDto:
      type: object
      allOf:
        - $ref: '#/components/schemas/StringPropertyDTO'
      properties:
        stringValue:
          type: string
          description: String representation of the transaction hash value
          nullable: true
          readOnly: true
      additionalProperties: false
      description: Transaction Hash property

````